// Simple embedded sketch that appears in its own window or panel.
// Jo Wood, V1.0, 24th November, 2008.
// ---------------------------------------------------------------

public class ASketch extends EmbeddedSketch
{  
  float textScale;
  float rotationAngle;
  
  void setup()
  {
    size(300,300);
    PFont font = createFont("Serif",32);
    textFont(font, 32);
    smooth();
    textAlign(CENTER,CENTER);
    fill(120,20,20);
    rotationAngle = 0;
  }

  void draw()
  {
    super.draw();
    background(255,200,200);
  
    pushMatrix();
     translate(width/2,height/2);
     rotate(rotationAngle);
     text("An animated sketch showing timer",0,0);
    popMatrix();
  
    rotationAngle += 0.01;
    
    // This optional line allows the timer to be displayed over a sketch.
    slideShow.displayTime(this, font);
  }
}
